Skip to content

WebAPI.Host (3.0)

Download OpenAPI description
Languages
Servers
Mock server

https://{{your_venus_webapi_ip_address}}/

Cameras

Operations

Devices

Operations

ErrorHandler

Operations

Files

Operations

Imports multiple method file collections from archive.

Request

Security
Bearer
Query
archivePathstring
Body
includeOriginalFilesboolean
importModeinteger(int32)(ImportMode)

Possible values:

  • 0 - SystemDefault
  • 1 - Recovery
  • 2 - SubdirectoryOfSystemDefault
  • 3 - UserDefined
Enum0123
directoryOptionArray of objects(Collection<DirectoryOption>)
curl -i -X POST \
  'https://{{your_venus_webapi_ip_address}}/api/vector/v3/files/import-method-package?archivePath=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json; x-api-version=3.0' \
  -d '{
    "includeOriginalFiles": true,
    "importMode": 0,
    "directoryOption": [
      {
        "directoryKey": 0,
        "pathValue": "string"
      }
    ]
  }'

Responses

Returns Hamilton.WebAPI.Common.CmdResult object, Imports files per options.

Body
resultbooleanread-only
messagestringread-only
resetRunExecboolean
Response
{ "result": true, "message": "string", "resetRunExec": true }

Verifies the archive file contains the manifest

Request

Security
Bearer
Query
sourcestring
deststring
manifestPathstring
curl -i -X POST \
  'https://{{your_venus_webapi_ip_address}}/api/vector/v3/files/verify-manifest?source=string&dest=string&manifestPath=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Returns Hamilton.WebAPI.Common.CmdResult object

Body
resultbooleanread-only
messagestringread-only
resetRunExecboolean
Response
{ "result": true, "message": "string", "resetRunExec": true }

Export diagnostic data for a method execution instance.

Request

Output file is created with a .zip extension.

Security
Bearer
Body
methodPathstring
runGuidstring
filePathstring
exportMethodboolean
exportCommTraceboolean
exportVenusLogsboolean
curl -i -X POST \
  'https://{{your_venus_webapi_ip_address}}/api/vector/v3/files/export-diagnostic-files' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json; x-api-version=3.0' \
  -d '{
    "methodPath": "string",
    "runGuid": "string",
    "filePath": "string",
    "exportMethod": true,
    "exportCommTrace": true,
    "exportVenusLogs": true
  }'

Responses

Returns Hamilton.WebAPI.Common.CmdResult object, Saves export package file.

Body
resultbooleanread-only
messagestringread-only
resetRunExecboolean
Response
{ "result": true, "message": "string", "resetRunExec": true }

InstrumentData

Operations

RunExecutor

Operations

System

Operations

Users

Operations